import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";
import { createVNode as _createVNode } from "vue";
import { defineComponent } from 'vue';
import initDefaultProps from '../_util/props-util/initDefaultProps';
import MoreFilled from '@pf-ui/pf-icons-vue/MoreFilled';
import classNames from '../_util/classNames';
import useConfigInject from '../_util/hooks/useConfigInject';
export var treeOperationIconProps = function treeOperationIconProps() {
  return {
    disabled: {
      type: Boolean,
      default: undefined
    },
    visible: {
      type: Boolean,
      default: undefined
    },
    prefixCls: String
  };
};
// todo: icon改成slot
export default defineComponent({
  name: 'PfTreeOperationIcon',
  props: initDefaultProps(treeOperationIconProps(), {
    disabled: false,
    visible: false
  }),
  setup: function setup(props) {
    var _useConfigInject = useConfigInject('tree', props),
      prefixCls = _useConfigInject.prefixCls;
    return function () {
      return _createVNode(MoreFilled, {
        "class": classNames("".concat(prefixCls.value, "-operation"), _defineProperty({}, "".concat(prefixCls.value, "-operation-disabled"), props.disabled), _defineProperty({}, "".concat(prefixCls.value, "-operation-visible"), props.visible))
      }, null);
    };
  }
});